Bug 573558 - QE Review: Chapter 16. SR-IOV
Summary: QE Review: Chapter 16. SR-IOV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Scott Radvan
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 06:46 UTC by Michael Doyle
Modified: 2015-04-07 03:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-19 01:23:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michael Doyle 2010-03-15 06:46:20 UTC
Description of problem:
Chapter 16. SR-IOV is incomplete.

Version-Release number of selected component (if applicable):
Red_Hat_Enterprise_Linux-Virtualization-5-en-US-5-93
Wed 03 Mar 2010 04:29:39 PM EST
  
Actual results:
Chapter 16. SR-IOV

[mdoyle] Chapter incomplete, some sentences are half finished.


16.3. How SR-IOV Libvirt Works

Figure 16.7.

[mdoyle] Figure is missing.


Procedure 16.1.

[mdoyle] Descriptions of the steps are incomplete and not properly edited.

Comment 1 Christopher Curran 2010-04-13 06:35:10 UTC
Fixed in build 111. Please verify as soon as possible.

Comment 2 Andrew Ross 2010-04-14 03:31:12 UTC
Couple of questions/points:

1. This only works (at present) on a particular Intel NIC. Should we mention this (could not find any mention in rel notes)?

2. Step 7. "In this example the Virtual Function pci_8086_10ca_0 is added to the guest." needs clarification as it appears that step 9. is explaining how to do this.

3. Step 9b. converts the values to hex, but 9d uses the original decimal values.

Comment 3 Andrew Ross 2010-04-14 03:56:25 UTC
Couple of questions/points:

1. This only works (at present) on a particular Intel NIC. Should we mention this (could not find any mention in rel notes)?

2. Step 7. "In this example the Virtual Function pci_8086_10ca_0 is added to the guest." needs clarification as it appears that step 9. is explaining how to do this.

3. Step 9b. converts the values to hex, but 9d uses the original decimal values.

Comment 4 Andrew Ross 2010-04-14 04:52:34 UTC
Need to check if we also support the Neterion X3100.

I downloaded the driver and it's rather strange... installs into /lib/modules/2.6.18-164.el5/kernel/drivers/net/vxge.ko regardless of the kernel :-/

however the README suggests that these are the params we want:

       func_mode:  
         Change PCI function mode.  
         0  - SF1_VP17 (1 function with 17 VPATHs)  
         1  - MF8_VP2  (8 functions with 2 VPATHs per function)  
         2  - SR17_VP1 (17 VFs with 1 VPATH per VF)  
         3  - MR17_VP1 (17 Virtual Hierarchies, 1 Path/Function/Hierarchy)  
         4  - MR8_VP2  (8 Virtual Hierarchies, 2 Path/Function/Hierarchy)  
         5  - MF17_VP1 (17 functions, 1 Path/Function (PCIe ARI))  
         6  - SR8_VP2  (1PF, 7VF, 2 Paths/Function)  
         7  - SR4_VP4  (1PF, 3VF, 4 Paths/Function)  
         8  - MF2_VP8  (2 functions, 8 Paths/Function)  
         9  - MF4_VP4  (4 Functions, 4 Paths/Function)  
         10 - MR4_VP4  (4 Virtual Hierarchies, 4 Path/Function/Hierarchy)

Comment 5 Christopher Curran 2010-04-14 05:37:51 UTC
Fixed step 7 and 9b/d.

It may have been missed from the release notes. It is possible someone forgot.

I'm not certain about step 9. I don't have the hardware to test if detaching pci_8086_10ca and pci_8086_10ca_0 is necessary or whether pci_8086_10ca should be used.

As for the Neterion card, I don't know. Setting NEED_INFO.

Comment 7 Dor Laor 2010-04-22 11:44:30 UTC
Done please answer it. There is also nice documentation Don created:
http://intranet.corp.redhat.com/ic/intranet/KvmXenDeviceAssignment.html

Comment 8 Christopher Curran 2010-04-23 02:56:07 UTC
Thanks Dor, that list helps a lot.

Don, still wondering which cards we are supporting for 5.4, 5.5 and 6.

Chris

Comment 9 Justin Clift 2010-05-21 06:38:43 UTC
Is there any chance of getting that KvmXenDeviceAssignment.html doc available externally?

No access to the RH Intranet here. ;)


Note You need to log in before you can comment on or make changes to this bug.